Upload manual coupons file
curl --request POST \
--url https://api.extole.io/v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form 'file={
"creationDate": "2025-10-24T09:00:00.000Z",
"fileName": "fileName",
"modificationDate": "2025-10-24T09:00:00.000Z",
"name": "name",
"parameters": {
"parameters_key": "parameters_key"
},
"readDate": "2025-10-24T09:00:00.000Z",
"size": 1,
"type": "type"
}'import requests
url = "https://api.extole.io/v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n{\r\n \"creationDate\": \"2025-10-24T09:00:00.000Z\",\r\n \"fileName\": \"fileName\",\r\n \"modificationDate\": \"2025-10-24T09:00:00.000Z\",\r\n \"name\": \"name\",\r\n \"parameters\": {\r\n \"parameters_key\": \"parameters_key\"\r\n },\r\n \"readDate\": \"2025-10-24T09:00:00.000Z\",\r\n \"size\": 1,\r\n \"type\": \"type\"\r\n}\r\n-----011000010111000001101001--"
headers = {
"Authorization": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '{
"creationDate": "2025-10-24T09:00:00.000Z",
"fileName": "fileName",
"modificationDate": "2025-10-24T09:00:00.000Z",
"name": "name",
"parameters": {
"parameters_key": "parameters_key"
},
"readDate": "2025-10-24T09:00:00.000Z",
"size": 1,
"type": "type"
}');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://api.extole.io/v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coupons": [
"<string>"
],
"created_at": "2025-10-24T02:00:00-07:00",
"filename": "<string>",
"id": "<string>",
"number_of_coupons_to_upload": 123,
"request_message": "<string>",
"result_message": "<string>",
"reward_supplier_id": "<string>",
"uploaded_coupons": [
{
"coupon_code": "<string>",
"expires_at": "2025-10-24T02:00:00-07:00"
}
]
}
Reward Suppliers
Upload manual coupons file
Uploads a coupon code file (CSV or text) to the manual coupon supplier’s pool.
POST
/
v2
/
reward-suppliers
/
manual-coupons
/
{reward_supplier_id}
/
coupons
Upload manual coupons file
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Query Parameters
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$Example:
"2025-10-24T02:00:00-07:00"
Body
multipart/form-data
Show child attributes
Show child attributes
Response
Successful response
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$Example:
"2025-10-24T02:00:00-07:00"
Available options:
COUPON_DELETE, COUPON_UPLOAD Available options:
FAILED, SUCCESS Show child attributes
Show child attributes
⌘I
